![Oracle Logo](https://raw.githubusercontent.com/oracle/dotnet-db-samples/master/images/oracle-nuget.png) 
# Oracle.ManagedDataAccess.Core 23.7.0
Release Notes for Oracle Data Provider for .NET Core NuGet Package

December 2024

Oracle Data Provider for .NET (ODP.NET) Core features optimized ADO.NET data access to the Oracle database for .NET (Core) runtime. ODP.NET allows developers to take advantage of advanced Oracle database functionality, including AI vectors, Real Application Clusters, Application Continuity, JSON Relational Duality, and Fast Connection Failover. 

This document provides information that supplements the [Oracle Data Provider for .NET (ODP.NET) documentation](https://docs.oracle.com/en/database/oracle/oracle-database/23/odpnt/index.html).

## Oracle .NET Links
* [Oracle .NET Home Page](https://www.oracle.com/database/technologies/appdev/dotnet.html)
* [GitHub - Sample Code](https://github.com/oracle/dotnet-db-samples)
* [ODP.NET Discussion Forum](https://forums.oracle.com/ords/apexds/domain/dev-community/category/odp-dot-net)
* [YouTube](https://www.youtube.com/user/OracleDOTNETTeam)
* [X (Twitter)](https://twitter.com/oracledotnet)
* [Email Newsletter Sign Up](https://go.oracle.com/LP=28277?elqCampaignId=124071&nsl=onetdev)

## New Features
* macOS and Alpine Linux Certification
* Sessionless Transaction Support
* Set Rows to Fetch per Round Trip
* Set Database Roles on Connections
* More Configuration Provider Settings
* OracleConnection Encryption & Checksum Properties
* Enhanced Password Security with OracleOpaqueString
* Server Name Indication (SNI) for TLS
* Sharding Split Partitionset

## Bug Fixes since Oracle.ManagedDataAccess.Core 23.6.0
* Bug 33068315 - UDT: INCORRECT TIMEZONE VALUE INSERTED TO DATABASE IF CLIENT AND SEVER TIMEZONE FILE VERSIONS MISMATCH
* Bug 36228236 - MACOS VENTURA 13.6.3 THROWS 'DOTNET WANTS TO USE THE "SYSTEM" KEYCHAIN' DIALOG REPEATEDLY WHEN CREATING CLOUD CONNECTION
* Bug 36710738 - ASYNC CANCEL RETURNS ORA-01013 INSTEAD OF OPERATIONCANCELLEDEXCEPTION
* Bug 36838000 - UDT: VALIDITY OF NESTED USER DEFINED TYPES ARE NOT RECOGNIZED
* Bug 37044756 - APPLICATION HANG AFTER A DATAGUARD SWITCHOVER WHEN USING ODP.NET MANAGED DRIVER
* Bug 37044799 - SEPS: SUPPORT DEFAULT USERNAME AND PASSWORD
* Bug 37144163 - ORA-50000: CONNECTION REQUEST TIME OUT USING OPENASYNC UNDER HIGH LOAD

 Copyright (c) 2024, Oracle and/or its affiliates. 
